org.flexdock.view.model

## Class ViewButtonModel

- java.lang.Object
- - javax.swing.DefaultButtonModel
  - - javax.swing.JToggleButton.ToggleButtonModel
    - - org.flexdock.view.model.ViewButtonModel

All Implemented Interfaces:
  java.awt.ItemSelectable, java.io.Serializable, javax.swing.ButtonModel

    public class ViewButtonModel
    extends javax.swing.JToggleButton.ToggleButtonModel

Author:
  Christopher Butler
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.swing.DefaultButtonModel

`actionCommand, ARMED, changeEvent, ENABLED, group, listenerList, mnemonic, PRESSED, ROLLOVER, SELECTED, stateMask`

### Constructor Summary

Constructors
Constructor and Description
`ViewButtonModel()`

### Method Summary

Methods
`protected DockingState` `getDockingState()`
`protected View` `getView()`
`java.lang.String` `getViewId()`
`void` `setViewId(java.lang.String viewId)`

### Methods inherited from class javax.swing.JToggleButton.ToggleButtonModel

`isSelected, setPressed, setSelected`

### Methods inherited from class javax.swing.DefaultButtonModel

`addActionListener, addChangeListener, addItemListener, fireActionPerformed, fireItemStateChanged, fireStateChanged, getActionCommand, getActionListeners, getChangeListeners, getGroup, getItemListeners, getListeners, getMnemonic, getSelectedObjects, isArmed, isEnabled, isPressed, isRollover, removeActionListener, removeChangeListener, removeItemListener, setActionCommand, setArmed, setEnabled, setGroup, setMnemonic, setRollover`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewButtonModel

    public ViewButtonModel()

### Method Detail

#### getViewId

    public java.lang.String getViewId()

#### setViewId

    public void setViewId(java.lang.String viewId)

#### getView

    protected View getView()

#### getDockingState

    protected DockingState getDockingState()